Get subscription details
get
/ccstore/v1/selfservice/subscriptions/{subscriptionNumber}
Retrieves subscription details for the given subscriptionNumber.
Request
Supported Media Types
- application/json
Path Parameters
-
subscriptionNumber(required): string
The subscription number
Response
Supported Media Types
- application/json
200 Response
Successful response
Root Schema : subscriptionDetailsResponse
Type:
Show Source
object-
BillToAccountId:
string
-
BillToContactId:
string
-
BillToContactName:
string
-
BillToContactNumber:
string
-
BillToPartyId:
string
-
BillToSiteUseId:
string
-
creditCards:
object pagedCreditCards
-
LastUpdateDate:
string
-
PaymentMethod:
string
-
PaymentMethodName:
string
-
PONumber:
string
-
products:
object pagedProducts
-
ShipToContactId:
string
-
ShipToContactName:
string
-
ShipToContactNumber:
string
-
ShipToContactPartyId:
string
-
ShipToParty:
string
-
WireNumber:
string
Nested Schema : subscriptionProductItem
Type:
Show Source
object-
BillToAccountId:
string
-
BillToContactId:
string
-
BillToContactName:
string
-
BillToContactNumber:
string
-
BillToPartyId:
string
-
creditCards:
object pagedCreditCards
-
LastUpdateDate:
string
-
PaymentMethod:
string
-
PaymentMethodName:
string
-
PONumber:
string
-
ShipToContactId:
string
-
ShipToContactName:
string
-
ShipToContactNumber:
string
-
ShipToContactPartyId:
string
-
ShipToPartyId:
string
-
SubscriptionProductPuid:
string
-
WireNumber:
string
Example Response (PONumber)
oracle.doceng.json.BetterJsonNull@6c38ebd4
Example Response (ShipToContactId)
oracle.doceng.json.BetterJsonNull@3e7edf8d
Example Response (ShipToContactName)
oracle.doceng.json.BetterJsonNull@fde9375
Example Response (BillToSiteUseId)
1025
Example Response (ShipToContactPartyId)
oracle.doceng.json.BetterJsonNull@3300fa03
Example Response (ShipToContactNumber)
oracle.doceng.json.BetterJsonNull@7bcad959
Example Response (BillToContactId)
300100120934601
Example Response (WireNumber)
oracle.doceng.json.BetterJsonNull@766b2d19
Example Response (PaymentMethodName)
oracle.doceng.json.BetterJsonNull@420f1135
Example Response (products)
{
"offset":0,
"count":1,
"hasMore":false,
"limit":25,
"items":[
{
"PONumber":null,
"ShipToContactId":null,
"ShipToContactName":null,
"SubscriptionProductPuid":"300100664368846",
"ShipToContactPartyId":null,
"ShipToContactNumber":null,
"ShipToPartyId":"1006",
"BillToContactId":null,
"WireNumber":null,
"PaymentMethodName":null,
"creditCards":{
"offset":0,
"count":1,
"hasMore":false,
"limit":25,
"items":[
{
"InstrAssignmentId":"30",
"CreditCardPuid":"300100664368846-CCRD-9038",
"ExpirationDate":"2019-08-31",
"MaskedNumber":"XXXXXXXXXXXX7896",
"IssuerCode":"VISA",
"CardHolderName":"Computer Service and Rentals",
"LastUpdateDate":"2025-11-04T13:44:16.110+00:00"
}
]
},
"BillToContactName":null,
"BillToAccountId":"1006",
"BillToPartyId":"1006",
"BillToContactNumber":null,
"PaymentMethod":"ORA_CREDIT_CARD",
"LastUpdateDate":"2025-11-04T13:44:16.075+00:00"
}
]
}
Example Response (creditCards)
{
"offset":0,
"count":1,
"hasMore":false,
"limit":25,
"items":[
{
"InstrAssignmentId":"30",
"CreditCardPuid":"CDRM_59146-CCRD-9036",
"ExpirationDate":"2019-08-31",
"MaskedNumber":"XXXXXXXXXXXX7896",
"IssuerCode":"VISA",
"CardHolderName":"Computer Service and Rentals",
"LastUpdateDate":"2025-11-04T10:39:23+00:00"
}
]
}
Example Response (ShipToParty)
oracle.doceng.json.BetterJsonNull@1073a7af
Example Response (BillToContactName)
Eun Huh
Example Response (BillToAccountId)
1006
Example Response (BillToPartyId)
1006
Example Response (BillToContactNumber)
CDRM_680240
Example Response (PaymentMethod)
ORA_CREDIT_CARD
Example Response (LastUpdateDate)
2025-11-04T10:42:03+00:00
400 Response
Bad request
Root Schema : Error
Type:
Show Source
object-
errorCode:
string
The numerical code identifying the error
-
message:
string
-
moreInfo:
string
An optional non-localized message with more information
-
status:
string
The HTTP status code
500 Response
Internal server error
Root Schema : Error
Type:
Show Source
object-
errorCode:
string
The numerical code identifying the error
-
message:
string
-
moreInfo:
string
An optional non-localized message with more information
-
status:
string
The HTTP status code